## python-oslotest 0.1

=== requirements.txt ===
fixtures>=0.3.14
testtools>=0.9.34
mock>=1.0
mox>=0.5.3

=== debian/changelog ===
python-oslotest (0.1-1ubuntu3) trusty; urgency=medium

  * debian/control: Add python3-six as a build dep. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Mar 2014 08:40:43 -0400

python-oslotest (0.1-1ubuntu2) trusty; urgency=medium

  * debian/control: Add python-six as build-dep. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Mar 2014 19:18:54 -0400

python-oslotest (0.1-1ubuntu1) trusty; urgency=medium

  * debian/control:
    - Dropped python3-hacking and python-hacking
    - Add python-pbr. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Mar 2014 13:56:59 -0400

python-oslotest (0.1-1) experimental; urgency=low

  * Initial release. (Closes: #742310)

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 17:25:32 +0800

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-coverage (>= 3.6),
               python-fixtures (>= 0.3.14),
               python-mock (>= 1.0),
               python-mox (>= 0.5.3),
               python-six,
               python-pbr,
               python-oslosphinx,
               python-setuptools,
               python-sphinx (>= 1.1.2),
               python-subunit (>= 0.0.18),
               python-testscenarios (>= 0.4),
               python-testtools (>= 0.9.34),
               python3-all (>= 3.2),
               python3-coverage (>= 3.6),
               python3-fixtures (>= 0.3.14),
               python3-six,
               python3-mock (>= 1.0),
               python3-mox3,
               python3-setuptools,
               python3-subunit (>= 0.0.18),
               python3-testtools (>= 0.9.34),
               python3-testscenarios (>= 0.4),
               subunit (>= 0.0.18),
               testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslotest.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslotest.git
Homepage: http://launchpad.net/oslo

Package: python-oslotest
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-fixtures (>= 0.3.14),
         python-mock (>= 1.0),
         python-mox (>= 0.5.3),
         python-testtools (>= 0.9.34),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python3-oslotest
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-fixtures (>= 0.3.14),
         python3-mock (>= 1.0),
         python3-mox3 (>= 0.5.3),
         python3-testtools (>= 0.9.34),
         ${misc:Depends},
         ${python3:Depends}
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

Package: python-oslotest-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.test.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslotest; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslotest; \
        done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHONS) $(PYTHON3S) ; do \
			testr init && testr run && rm -rf .testrepository ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslotest oslotest-(.*).tar.gz

## python-oslotest 1.0.0

=== debian/changelog ===
python-oslotest (1.0.0-2) unstable; urgency=medium

  * build-depends: dropped python-hacking, added python{3,}-pbr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 00:58:30 +0800

python-oslotest (1.0.0-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 05:54:51 +0000

python-oslotest (0.1-2) experimental; urgency=low

  * Do not run unit tests using python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2014 23:36:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-oslotest
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -14,9 +13,8 @@
                python-fixtures (>= 0.3.14),
                python-mock (>= 1.0),
                python-mox (>= 0.5.3),
-               python-six,
+               python-oslosphinx,
                python-pbr,
-               python-oslosphinx,
                python-setuptools,
                python-sphinx (>= 1.1.2),
                python-subunit (>= 0.0.18),
@@ -25,15 +23,16 @@
                python3-all (>= 3.2),
                python3-coverage (>= 3.6),
                python3-fixtures (>= 0.3.14),
-               python3-six,
                python3-mock (>= 1.0),
                python3-mox3,
+               python3-pbr,
                python3-setuptools,
                python3-subunit (>= 0.0.18),
+               python3-testrepository (>= 0.0.18),
+               python3-testscenarios (>= 0.4),
                python3-testtools (>= 0.9.34),
-               python3-testscenarios (>= 0.4),
                subunit (>= 0.0.18),
-               testrepository (>= 0.0.17)
+               testrepository (>= 0.0.18)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslotest.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-oslotest.git
@@ -45,7 +44,12 @@
 Depends: python-fixtures (>= 0.3.14),
          python-mock (>= 1.0),
          python-mox (>= 0.5.3),
+         python-subunit (>= 0.0.18),
+         python-testrepository (>= 0.0.18),
+         python-testscenarios (>= 0.4),
          python-testtools (>= 0.9.34),
+         subunit (>= 0.0.18),
+         testrepository (>= 0.0.18),
          ${misc:Depends},
          ${python:Depends}
 Description: OpenStack test framework - Python 2.x
@@ -60,7 +64,11 @@
 Depends: python3-fixtures (>= 0.3.14),
          python3-mock (>= 1.0),
          python3-mox3 (>= 0.5.3),
+         python3-subunit (>= 0.0.18),
+         python3-testrepository (>= 0.0.18),
+         python3-testscenarios (>= 0.4),
          python3-testtools (>= 0.9.34),
+         testrepository (>= 0.0.18),
          ${misc:Depends},
          ${python3:Depends}
 Description: OpenStack test framework - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,15 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	for i in $(PYTHONS) $(PYTHON3S) ; do \
-			testr init && testr run && rm -rf .testrepository ; \
+	for i in 2.7 $(PYTHON3S) ; do \
+		set -e && \
+			TEMP_REZ=`mktemp -t` && \
+			export PYTHON=python$$i ; \
+			PYTHON=python$$i PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
+			cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+			rm -f $$TEMP_REZ ; \
 	done
+	export PYTHON=python
 endif
 
 override_dh_sphinxdoc:

## python-oslotest 1.1.0

=== debian/changelog ===
python-oslotest (1:1.1.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Sep 2014 03:09:03 -0400

python-oslotest (1:1.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 12:58:38 -0400

python-oslotest (1.1.0.0~a2-0ubuntu2) utopic; urgency=medium

  * Merge changes from Debian experimental.
  * d/rules: Drop oslo_debug_helper.sh from python3-oslotest as its a
    python 2.x only helper.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Sep 2014 12:04:30 +0100

python-oslotest (1.1.0.0~a2-0ubuntu1) utopic; urgency=medium

  * New upstream release. 
  * debian/control: Add python-mox3.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 09:30:05 -0400

python-oslotest (1.1.0.0~a1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before Jessie's freeze.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 15:20:43 +0800

python-oslotest (1.1.0.0~a1-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jun 2014 11:09:45 -0400

python-oslotest (1.0.0-1ubuntu2) utopic; urgency=medium

  * debian/control: Add dependency for python-pbr and python3-pbr.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 May 2014 10:06:08 -0400

python-oslotest (1.0.0-1ubuntu1) utopic; urgency=medium

  * debian/control: Dropped python-hacking 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 May 2014 09:56:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: python-oslotest
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
            Gonéri Le Bouder <goneri@debian.org>
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
+               python-pbr,
                python-all (>= 2.6.6-3~),
                python-coverage (>= 3.6),
                python-fixtures (>= 0.3.14),
@@ -43,7 +45,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-fixtures (>= 0.3.14),
          python-mock (>= 1.0),
-         python-mox (>= 0.5.3),
+         python-mox3,
          python-subunit (>= 0.0.18),
          python-testrepository (>= 0.0.18),
          python-testscenarios (>= 0.4),

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslotest; \
         done
+	rm -f $(CURDIR)/debian/python3-oslotest/usr/bin/oslo_debug_helper.sh
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
https://github.com/openstack/oslo.test/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslotest 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
discover
fixtures>=0.3.14
python-subunit>=0.0.18
six>=1.7.0
testrepository>=0.0.18
testscenarios>=0.4
testtools>=0.9.36,!=1.2.0
mock>=1.0
mox3>=0.7.0

=== debian/changelog ===
python-oslotest (1:1.4.0-0ubuntu2~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Feb 2015 15:02:58 +0000

python-oslotest (1:1.4.0-0ubuntu2) vivid; urgency=medium

  * d/rules: Drop oslo_run_* binaries from python3 package. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 13:32:10 +0000

python-oslotest (1:1.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * d/watch: Switch to tarballs.openstack.org for release archives.
  * d/control: Add BD's on python{3}-six and dh-python.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 10:16:53 +0000

python-oslotest (1:1.3.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Remove mox in favor of mox3.
  * debian/rules: Adjust python3 to remove binary.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Dec 2014 10:39:05 -0500

python-oslotest (1:1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Nov 2014 08:46:36 -0500

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
            Mehdi Abaakouk <sileht@sileht.net>,
            Gonéri Le Bouder <goneri@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
-               python-pbr,
                python-all (>= 2.6.6-3~),
                python-coverage (>= 3.6),
                python-fixtures (>= 0.3.14),
                python-mock (>= 1.0),
-               python-mox (>= 0.5.3),
+               python-mox3,
                python-oslosphinx,
                python-pbr,
                python-setuptools,
+               python-six (>= 1.7.0),
                python-sphinx (>= 1.1.2),
                python-subunit (>= 0.0.18),
                python-testscenarios (>= 0.4),
@@ -29,6 +30,7 @@
                python3-mox3,
                python3-pbr,
                python3-setuptools,
+               python3-six (>= 1.7.0),
                python3-subunit (>= 0.0.18),
                python3-testrepository (>= 0.0.18),
                python3-testscenarios (>= 0.4),
@@ -46,6 +48,7 @@
 Depends: python-fixtures (>= 0.3.14),
          python-mock (>= 1.0),
          python-mox3,
+         python-six (>= 1.7.0),
          python-subunit (>= 0.0.18),
          python-testrepository (>= 0.0.18),
          python-testscenarios (>= 0.4),
@@ -66,6 +69,7 @@
 Depends: python3-fixtures (>= 0.3.14),
          python3-mock (>= 1.0),
          python3-mox3 (>= 0.5.3),
+         python3-six (>= 1.7.0),
          python3-subunit (>= 0.0.18),
          python3-testrepository (>= 0.0.18),
          python3-testscenarios (>= 0.4),

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslotest; \
         done
-	rm -f $(CURDIR)/debian/python3-oslotest/usr/bin/oslo_debug_helper.sh
+	rm -f $(CURDIR)/debian/python3-oslotest/usr/bin/oslo_debug_helper
+	rm -f $(CURDIR)/debian/python3-oslotest/usr/bin/oslo_run_*
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
http://tarballs.openstack.org/oslotest/oslotest-(\d.*).tar.gz

## python-oslotest 1.5.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 discover
 fixtures>=0.3.14
 python-subunit>=0.0.18
-six>=1.7.0
+six>=1.9.0
 testrepository>=0.0.18
 testscenarios>=0.4
 testtools>=0.9.36,!=1.2.0

=== debian/changelog ===
python-oslotest (1.5.1-2) unstable; urgency=medium

  * Disable tests which are failing with mock >= 1.3 (Closes: #795972).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 14:58:31 +0000

python-oslotest (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated a few versions for (build)-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 10:28:33 +0100

python-oslotest (1.2.0-2) experimental; urgency=medium

  * Removed extra space in long desc of python-oslotest-doc (Closes: #772583).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 15:43:37 +0100

python-oslotest (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebases the six.moves patch.
  * Upstream removed the .sh extension for the oslo_debug_helper, updates the
    debian/rules accordingly.
  * Added dh-python as build-depends.
  * Now using Build-Depends-Indep too, and moved many build-depends there.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 13:28:36 +0000

python-oslotest (1.1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 08:00:09 +0000

python-oslotest (1.1.0.0~a2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added patch for the import of the mock module in Python 3.2.
  * Added alternative handling for /usr/bin/oslo_debug_helper.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 20:12:19 +0800

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 0.23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-coverage,
                     python-fixtures,
                     python-mock,
                     python-mox3,
                     python-oslosphinx (>= 2.2.0.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools,
                     python3-fixtures,
                     python3-mock,
                     python3-mox3,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslotest.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslotest.git
Homepage: http://launchpad.net/oslo

Package: python-oslotest
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-fixtures (>= 0.3.14),
         python-mock (>= 1.0),
         python-mox3 (>= 0.7.0),
         python-pbr (>= 0.6),
         python-six (>= 1.9.0),
         python-subunit (>= 0.0.18),
         python-testrepository (>= 0.0.18),
         python-testscenarios (>= 0.4),
         python-testtools (>= 0.9.36),
         subunit (>= 0.0.18),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python3-oslotest
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-fixtures (>= 0.3.14),
         python3-mock (>= 1.0),
         python3-mox3 (>= 0.7.0),
         python3-pbr (>= 0.6),
         python3-six (>= 1.9.0),
         python3-subunit (>= 0.0.18),
         python3-testrepository (>= 0.0.18),
         python3-testscenarios (>= 0.4),
         python3-testtools (>= 0.9.36),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python3:Depends}
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

Package: python-oslotest-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -12,28 +12,36 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-oslotest; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslotest; \
         done
-	rm -f $(CURDIR)/debian/python3-oslotest/usr/bin/oslo_debug_helper
-	rm -f $(CURDIR)/debian/python3-oslotest/usr/bin/oslo_run_*
+
+	set -e ; for i in oslo_debug_helper oslo_run_pre_release_tests oslo_run_cross_tests ; do \
+		mv $(CURDIR)/debian/python-oslotest/usr/bin/$$i $(CURDIR)/debian/python-oslotest/usr/bin/python2-$$i ; \
+		mv $(CURDIR)/debian/python3-oslotest/usr/bin/$$i $(CURDIR)/debian/python3-oslotest/usr/bin/python3-$$i ; \
+	done
+
+	sed -i s/python/python3/g $(CURDIR)/debian/python3-oslotest/usr/bin/python3-oslo_debug_helper
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	for i in 2.7 $(PYTHON3S) ; do \
-		set -e && \
-			TEMP_REZ=`mktemp -t` && \
-			export PYTHON=python$$i ; \
-			PYTHON=python$$i PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
-			cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-			rm -f $$TEMP_REZ ; \
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.unit\.(?!(.*test_base\.TestBaseTestCase\.test_fake_logs.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
-	export PYTHON=python
 endif
 
 override_dh_sphinxdoc:

## python-oslotest 1.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

fixtures>=1.3.1
python-subunit>=0.0.18
six>=1.9.0
testrepository>=0.0.18
testscenarios>=0.4
testtools>=1.4.0
mock>=1.2
mox3>=0.7.0
os-client-config>=1.4.0

=== debian/changelog ===
python-oslotest (1:1.10.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2015 14:58:20 +0000

python-oslotest (1:1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself as uploader.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 08 Sep 2015 12:41:27 +0300

python-oslotest (1:1.9.0-1) experimental; urgency=medium

  [ James Page ]
  * d/p/fix-import-of-mock.patch: Dropped, as python 3.2 is no longer a
    target.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 15:07:14 +0000

python-oslotest (1:1.7.0-2) experimental; urgency=medium

  * Removed python{3}-os-client-config form build-dependencies, as it makes a
    build-dependency loop.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jul 2015 19:30:03 +0200

python-oslotest (1:1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - d/control: Add BD on python{3}-os-client-config.
    - d/p/*: Refresh.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:19:41 +0100

python-oslotest (1:1.6.0-2) experimental; urgency=medium

  * Bump epoch to allow resync with Ubuntu.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jun 2015 09:50:48 +0100

python-oslotest (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
    - d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jun 2015 10:22:31 +0100

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 0.23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.2),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oslosphinx (>= 2.5.0),
                     python-os-client-config (>= 1.4.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-fixtures (>= 1.3.1),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-os-client-config (>= 1.4.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslotest.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslotest.git
Homepage: http://launchpad.net/oslo

Package: python-oslotest
Architecture: all
Depends: python-fixtures (>= 1.3.1),
         python-mock (>= 1.3),
         python-mox3 (>= 0.7.0),
         python-pbr (>= 0.6),
         python-six (>= 1.9.0),
         python-subunit (>= 0.0.18),
         python-testrepository (>= 0.0.18),
         python-testscenarios (>= 0.4),
         python-testtools (>= 0.9.36),
         subunit (>= 0.0.18),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python3-oslotest
Architecture: all
Depends: python3-fixtures (>= 1.3.1),
         python3-mock (>= 1.3),
         python3-mox3 (>= 0.7.0),
         python3-pbr (>= 0.6),
         python3-six (>= 1.9.0),
         python3-subunit (>= 0.0.18),
         python3-testrepository (>= 0.0.18),
         python3-testscenarios (>= 0.4),
         python3-testtools (>= 0.9.36),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -30,18 +30,15 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.unit\.(?!(.*test_base\.TestBaseTestCase\.test_fake_logs.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
+	for i in 2.7 $(PYTHON3S) ; do \
+		set -e && \
+			TEMP_REZ=`mktemp -t` && \
+			export PYTHON=python$$i ; \
+			PYTHON=python$$i PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit; \
+			cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats; \
+			rm -f $$TEMP_REZ ; \
 	done
+	export PYTHON=python
 endif
 
 override_dh_sphinxdoc:

## python-oslotest 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

fixtures>=1.3.1 # Apache-2.0/BSD
python-subunit>=0.0.18 # Apache-2.0/BSD
six>=1.9.0 # MIT
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
mock>=1.2 # BSD
mox3>=0.7.0 # Apache-2.0
os-client-config>=1.13.1 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:2.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * d/control: Align depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 25 Feb 2016 15:17:58 -0500

python-oslotest (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Nov 2015 15:42:27 +0100

python-oslotest (1:1.11.0-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:30:21 +0000

python-oslotest (1:1.11.0-1) unstable; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Update uploaders.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:23:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: python-oslotest
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
+           Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 0.23~),
@@ -15,19 +18,23 @@
                python3-pbr,
                python3-setuptools
 Build-Depends-Indep: python-coverage,
+                     python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.2),
                      python-mock (>= 1.3),
                      python-mox3,
+                     python-oslo.config (>= 3.4.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-os-client-config (>= 1.4.0),
+                     python-os-client-config (>= 1.13.1),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 1.3.1),
                      python3-mock (>= 1.3),
                      python3-mox3,
-                     python3-os-client-config (>= 1.4.0),
+                     python3-oslo.config (>= 3.4.0),
+                     python3-os-client-config (>= 1.13.1),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios,
@@ -41,9 +48,11 @@
 
 Package: python-oslotest
 Architecture: all
-Depends: python-fixtures (>= 1.3.1),
+Depends: python-debtcollector (>= 1.2.0),
+         python-fixtures (>= 1.3.1),
          python-mock (>= 1.3),
          python-mox3 (>= 0.7.0),
+         python-os-client-config (>= 1.13.1),
          python-pbr (>= 0.6),
          python-six (>= 1.9.0),
          python-subunit (>= 0.0.18),
@@ -62,9 +71,11 @@
 
 Package: python3-oslotest
 Architecture: all
-Depends: python3-fixtures (>= 1.3.1),
+Depends: python3-debtcollector (>= 1.2.0),
+         python3-fixtures (>= 1.3.1),
          python3-mock (>= 1.3),
          python3-mox3 (>= 0.7.0),
+         python3-os-client-config (>= 1.13.1),
          python3-pbr (>= 0.6),
          python3-six (>= 1.9.0),
          python3-subunit (>= 0.0.18),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
+override_dh_auto_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-oslotest; \
@@ -28,17 +28,22 @@
 
 	sed -i s/python/python3/g $(CURDIR)/debian/python3-oslotest/usr/bin/python3-oslo_debug_helper
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	for i in 2.7 $(PYTHON3S) ; do \
-		set -e && \
-			TEMP_REZ=`mktemp -t` && \
-			export PYTHON=python$$i ; \
-			PYTHON=python$$i PYTHONPATH=. python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit; \
-			cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats; \
-			rm -f $$TEMP_REZ ; \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
-	export PYTHON=python
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/oslotest/oslotest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslotest 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-fixtures>=1.3.1 # Apache-2.0/BSD
+fixtures<2.0,>=1.3.1 # Apache-2.0/BSD
 python-subunit>=0.0.18 # Apache-2.0/BSD
 six>=1.9.0 # MIT
 testrepository>=0.0.18 # Apache-2.0/BSD

=== debian/changelog ===
python-oslotest (1:2.5.0-1+87~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 29 Aug 2016 13:39:49 +0000

python-oslotest (1:2.3.0-1) unstable; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:55:18 +0000

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 0.23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
#Build-Depends-Indep: python-coverage,
#                     python-debtcollector (>= 1.2.0),
#                     python-fixtures (>= 1.3.1),
#                     python-hacking (>= 0.10.2),
#                     python-mock (>= 1.3),
#                     python-mox3,
#                     python-oslo.config (>= 3.9.0),
#                     python-oslosphinx (>= 2.5.0),
#                     python-os-client-config (>= 1.13.1),
#                     python-six (>= 1.9.0),
#                     python-testscenarios,
#                     python-testtools (>= 1.4.0),
#                     python3-debtcollector (>= 1.2.0),
#                     python3-fixtures (>= 1.3.1),
#                     python3-mock (>= 1.3),
#                     python3-mox3,
#                     python3-oslo.config (>= 3.9.0),
#                     python3-os-client-config (>= 1.13.1),
#                     python3-six (>= 1.9.0),
#                     python3-subunit,
#                     python3-testscenarios,
#                     python3-testtools (>= 1.4.0),
#                     subunit,
#                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslotest.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslotest.git
Homepage: https://launchpad.net/oslo

Package: python-oslotest
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-fixtures (>= 1.3.1),
         python-mock (>= 1.3),
         python-mox3 (>= 0.7.0),
         python-os-client-config (>= 1.13.1),
         python-pbr (>= 0.6),
         python-six (>= 1.9.0),
         python-subunit (>= 0.0.18),
         python-testrepository (>= 0.0.18),
         python-testscenarios (>= 0.4),
         python-testtools (>= 0.9.36),
         subunit (>= 0.0.18),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack test framework - Python 2.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 2.x module.

Package: python3-oslotest
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-fixtures (>= 1.3.1),
         python3-mock (>= 1.3),
         python3-mox3 (>= 0.7.0),
         python3-os-client-config (>= 1.13.1),
         python3-pbr (>= 0.6),
         python3-six (>= 1.9.0),
         python3-subunit (>= 0.0.18),
         python3-testrepository (>= 0.0.18),
         python3-testscenarios (>= 0.4),
         python3-testtools (>= 0.9.36),
         testrepository (>= 0.0.18),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.

#Package: python-oslotest-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}, ${sphinxdoc:Depends}
#Description: OpenStack test framework - doc
# OpenStack test framework that provides base classes and fixtures for creating
# unit and functional tests.
# .
# This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/oslo.test.git
+UPSTREAM_GIT := https://github.com/openstack/oslo.test.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -33,23 +33,25 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	echo "Disabled tests for now"
+#	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	echo "Disabled docs for now"
+#	sphinx-build -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
+#	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 # Commands not to run
